summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBruno Silva2017-12-29 00:45:27 +0000
committerBruno Silva2017-12-29 00:45:27 +0000
commita943b2cbd470c014cf972e6d70426c4c0e6a20c6 (patch)
tree7c2ff31ada93af85cecbb3b77a63d97201cc38ed
parenta0f0fe276601cb3d5592318c9f162c24de05cb10 (diff)
downloadaur-a943b2cbd470c014cf972e6d70426c4c0e6a20c6.tar.gz
First commit
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD26
2 files changed, 15 insertions, 16 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 6236f6c47e3..23ed1111ded 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = osgearth-git
pkgdesc = A terrain rendering toolkit for OpenSceneGraph
- pkgver = 4764.36f72fa
+ pkgver = r1.a0f0fe2
pkgrel = 1
url = http://www.osgearth.org
arch = i686
@@ -16,9 +16,10 @@ pkgbase = osgearth-git
optdepends = sqlite: Flat file cache
optdepends = libzip: Archive support
provides = osgearth
+ conflicts = osgearth-qt4
conflicts = osgearth
source = osgearth::git+https://github.com/gwaldron/osgearth
- sha1sums = SKIP
+ md5sums = SKIP
pkgname = osgearth-git
diff --git a/PKGBUILD b/PKGBUILD
index 5f4b8a75164..8e62fef1064 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,37 +1,36 @@
-# Maintainer: Daniel Nagy <danielnagy at gmx de>
+# Maintainer: Bruno Fernandes <brunofernandes at ua pt>
pkgname=osgearth-git
_gitname=osgearth
-pkgver=4764.36f72fa
+pkgver=r1.a0f0fe2
pkgrel=1
pkgdesc="A terrain rendering toolkit for OpenSceneGraph"
arch=('i686' 'x86_64')
-url=('http://www.osgearth.org')
+url='http://www.osgearth.org'
license=('LGPL')
depends=('openscenegraph' 'gdal' 'expat' 'curl' )
optdepends=('geos: Improved vector support'
'sqlite: Flat file cache'
'libzip: Archive support')
makedepends=('git' 'cmake')
-source=( "$_gitname::git+https://github.com/gwaldron/osgearth" )
-provides=( "$_gitname" )
-conflicts=( "$_gitname" )
-
-sha1sums=( 'SKIP' )
+source=("$_gitname::git+https://github.com/gwaldron/osgearth")
+provides=('osgearth')
+conflicts=('osgearth-qt4' 'osgearth')
+md5sums=('SKIP')
pkgver() {
- cd "$srcdir/$_gitname"
- # Use the tag of the last commit
- printf "%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ cd "${srcdir}/${_pkgname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
-
cd "$srcdir/$_gitname"
rm -rf build
mkdir -p build
cd build
-
cmake .. \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_BUILD_TYPE=Release
@@ -45,4 +44,3 @@ package() {
cp -r "$srcdir"/$_gitname/tests "$pkgdir"/usr/share/osgearth
cp -r "$srcdir"/$_gitname/data "$pkgdir"/usr/share/osgearth
}
-